package com.helpdesk.micaficito.modelos;
// Generated 11-dic-2019 11:52:12 by Hibernate Tools 4.3.1


import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.PrimaryKeyJoinColumn;
import javax.persistence.Table;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Parameter;

/**
 * Tickets generated by hbm2java
 */
@Entity
@Table(name="tickets"
    ,catalog="openbravopos"
)
public class Tickets  implements java.io.Serializable {


     private String id;
     private Customers customers;
     private People people;
     private Receipts receipts;
     private int tickettype;
     private int ticketid;
     private int status;
     private Set<Ticketlines> ticketlineses = new HashSet<Ticketlines>(0);

    public Tickets() {
    }

	
    public Tickets(People people, Receipts receipts, int tickettype, int ticketid, int status) {
        this.people = people;
        this.receipts = receipts;
        this.tickettype = tickettype;
        this.ticketid = ticketid;
        this.status = status;
    }
    public Tickets(Customers customers, People people, Receipts receipts, int tickettype, int ticketid, int status, Set<Ticketlines> ticketlineses) {
       this.customers = customers;
       this.people = people;
       this.receipts = receipts;
       this.tickettype = tickettype;
       this.ticketid = ticketid;
       this.status = status;
       this.ticketlineses = ticketlineses;
    }
   
     @GenericGenerator(name="generator", strategy="foreign", parameters=@Parameter(name="property", value="receipts"))@Id @GeneratedValue(generator="generator")

    
    @Column(name="ID", unique=true, nullable=false)
    public String getId() {
        return this.id;
    }
    
    public void setId(String id) {
        this.id = id;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="CUSTOMER")
    public Customers getCustomers() {
        return this.customers;
    }
    
    public void setCustomers(Customers customers) {
        this.customers = customers;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="PERSON", nullable=false)
    public People getPeople() {
        return this.people;
    }
    
    public void setPeople(People people) {
        this.people = people;
    }

@OneToOne(fetch=FetchType.LAZY)@PrimaryKeyJoinColumn
    public Receipts getReceipts() {
        return this.receipts;
    }
    
    public void setReceipts(Receipts receipts) {
        this.receipts = receipts;
    }

    
    @Column(name="TICKETTYPE", nullable=false)
    public int getTickettype() {
        return this.tickettype;
    }
    
    public void setTickettype(int tickettype) {
        this.tickettype = tickettype;
    }

    
    @Column(name="TICKETID", nullable=false)
    public int getTicketid() {
        return this.ticketid;
    }
    
    public void setTicketid(int ticketid) {
        this.ticketid = ticketid;
    }

    
    @Column(name="STATUS", nullable=false)
    public int getStatus() {
        return this.status;
    }
    
    public void setStatus(int status) {
        this.status = status;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="tickets")
    public Set<Ticketlines> getTicketlineses() {
        return this.ticketlineses;
    }
    
    public void setTicketlineses(Set<Ticketlines> ticketlineses) {
        this.ticketlineses = ticketlineses;
    }




}


